[SECURITY] [DSA 3218-1] wesnoth-1.10 security update

2015-04-10T17:51:50
ID DEBIAN:DSA-3218-1:577D3
Type debian
Reporter Debian
Modified 2015-04-10T17:51:50

Description


Debian Security Advisory DSA-3218-1 security@debian.org http://www.debian.org/security/ Moritz Muehlenhoff April 10, 2015 http://www.debian.org/security/faq


Package : wesnoth-1.10 CVE ID : CVE-2015-0844

Ignacio R. Morelle discovered that missing path restrictions in the "Battle of Wesnoth" game could result in the disclosure of arbitrary files in the user's home directory if malicious campaigns/maps are loaded.

For the stable distribution (wheezy), this problem has been fixed in version 1.10.3-3+deb7u1.

For the unstable distribution (sid), this problem has been fixed in version 1:1.10.7-2 and in version 1:1.12.1-1 of the wesnoth-1.12 source package.

We recommend that you upgrade your wesnoth-1.10 packages.

Further information about Debian Security Advisories, how to apply these updates to your system and frequently asked questions can be found at: https://www.debian.org/security/

Mailing list: debian-security-announce@lists.debian.org